### Description

SOHStationViewer is a tool to visualize State-of-Health packets from raw data recorded by different type of dataloggers.


### Directory Structure

````
sohstationviewer/
    model/
        lib/
    view/
        lib/
        ui/
    controller/
        lib/
tests/
````

### Directory Description

#### sohstationviewer/

All codes for running sohstationviewer.


#### model/

Codes for reading data from raw files and reading setting data from config files.

**lib/** Core codes to be used for reading data.


#### view/

Codes for Graphical User Interface (GUI).

**lib/** Core GUI like plotting widget, common used GUI like log/message/error forms.

**ui/** ui files from QtDesigner.


#### controller/

Codes for logical processes.

**lib/** Core codes to be used for logical processes.


#### tests/

 Unittest files for the codes. (GUI will not be included)